| AIfES 2 2.0.0

Data Fields
AIFES_E_model_parameter_fnn_f32 Struct Reference

Parameters for the FNN model. More...

`#include <aifes_express_f32_fnn.h>`

## Data Fields
uint32_t | layer_count
| Count of all layers, including input and output layers.
uint32_t * | fnn_structure
| Pointer to the network structure.
AIFES_E_activations * | fnn_activations
| Pointer to the activation function list (AIFES_E_activations)
void * | flat_weights
| Pointer to the array with the weights.

## Detailed Description

Parameters for the FNN model.

This structure contains all parameters for the creation of the model.

Example:
In this example, a 2-3-1 FNN is generated. The hidden layer and the output layer use a sigmoid activation function

uint32_t nn_structure[3] = {2,3,1};
AIFES_E_activations nn_activations[2];
nn_activations[0] = AIfES_E_sigmoid;
nn_activations[1] = AIfES_E_sigmoid;
float weights[] = {-10.1164f, -8.4212f, 5.4396f, 7.297f, -7.6482f, -9.0155f, -2.9653f,
2.3677f, -1.5968f, 12.0305f, -6.5858f, 11.9371f,-5.4247f};
AIFES_E_model_parameter_fnn_f32 nn;
nn.layer_count = 3;
nn.fnn_structure = nn_structure;
nn.fnn_activations = nn_activations;
nn.flat_weights = weights;
AIFES_E_activations
AIFES_E_activations
Possible activation functions in AIfES-Express.
Definition: aifes_express_f32_fnn.h:34
AIfES_E_sigmoid
@ AIfES_E_sigmoid
Sigmoid.
Definition: aifes_express_f32_fnn.h:36
AIFES_E_model_parameter_fnn_f32
Parameters for the FNN model.
Definition: aifes_express_f32_fnn.h:107
AIFES_E_model_parameter_fnn_f32::flat_weights
void * flat_weights
Pointer to the array with the weights.
Definition: aifes_express_f32_fnn.h:111
AIFES_E_model_parameter_fnn_f32::layer_count
uint32_t layer_count
Count of all layers, including input and output layers.
Definition: aifes_express_f32_fnn.h:108
AIFES_E_model_parameter_fnn_f32::fnn_structure
uint32_t * fnn_structure
Pointer to the network structure.
Definition: aifes_express_f32_fnn.h:109
AIFES_E_model_parameter_fnn_f32::fnn_activations
AIFES_E_activations * fnn_activations
Pointer to the activation function list (AIFES_E_activations)
Definition: aifes_express_f32_fnn.h:110

The documentation for this struct was generated from the following file:

- aifes_express_f32_fnn.h